#include <stdio.h>

#include "dbf.h"

unsigned char *conv;


int
output_c (struct DBF_FIELD *field, unsigned char *buffer)
{
  int i;

  printf("\"");
  for (i=0;i<field->fieldlen && buffer[i];i++) 
      {
       if (conv)
           buffer[i] = conv[((unsigned char)buffer[i])];
       if (buffer[i] == '\"')
         printf ("\\\""); 
       else if (buffer[i] == '\n')
         printf ("\\n"); 
         else printf ("%c", buffer[i]); 
      }
  printf("\"");
}

int
output_n (struct DBF_FIELD *field, unsigned char *buffer)
{
  int i;

  printf("\"");
  for (i=0;i<field->fieldlen;i++)
   if (isdigit(buffer[i]) || buffer[i] == '.')
         printf ("%c", buffer[i]); 
  printf("\"");
}

int
output_l (struct DBF_FIELD *field, unsigned char *buffer)
{
  printf ("\"%s\"", buffer);
}


int
output_d (struct DBF_FIELD *field, unsigned char *buffer)
{
  int i;
  int valid;

  valid=1;
  for (i=0;i<8;i++)
      if (!isdigit(buffer[i]))
        valid = 0;

  if (valid == 0)
    printf("\"1000-01-01\"");
 else  printf ("\"%c%c%c%c-%c%c-%c%c\"", 
          buffer[0], buffer[1], buffer[2], buffer[3], /* Year */ 
          buffer[4], buffer[5],  /* Month */
	  buffer[6], buffer[7]  /* Day */
  );
}


int
output_prerecord ()
{
  return 0;
}

int
output_postrecord ()
{
  printf ("\n");
  return 0;
}

int
output_fieldsep ()
{
  printf (",");
  return 0;
}

int output_fielddef(struct DBF_FIELD *field)
{
      printf ("%s", field->name);
   return 0;
}

int output_fielddefsep()
{
   printf (",");
   return 0;
}


int output_dbdef(char *dbname)
{
   return 0;
}

int output_dbenddef()
{
   printf("\n");
   return 0;
}

int
output_postdb ()
{
  return 0;
}


