#include <stdio.h>

#include "dbf.h"

unsigned char *conv;

char tablename[0x100];

int
output_c (struct DBF_FIELD *field, unsigned char *buffer)
{
  int i;

  printf("<td>");
  for (i=0;i<field->fieldlen && buffer[i];i++) 
      {
       if (conv)
           buffer[i] = conv[((unsigned char)buffer[i])];
       if (buffer[i] == '<')
         printf ("&lt;"); 
       else if (buffer[i] == '&')
         printf ("&amp;"); 
         else printf ("%c", buffer[i]); 
      }
  printf("</td>");
}

int
output_n (struct DBF_FIELD *field, unsigned char *buffer)
{
  int i;

  printf("<td>");
  for (i=0;i<field->fieldlen;i++)
   if (isdigit(buffer[i]) || buffer[i] == '.')
         printf ("%c", buffer[i]); 
  printf("</td>");
}

int
output_l (struct DBF_FIELD *field, unsigned char *buffer)
{
  printf ("<td>%s</td>", buffer);
}

int
output_d (struct DBF_FIELD *field, unsigned char *buffer)
{
  int i;
  int valid;

  valid=1;
  for (i=0;i<8;i++)
      if (!isdigit(buffer[i]))
        valid = 0;

  if (valid == 0)
    printf("<td>1000-01-01</td>");
 else  printf ("<td>%c%c%c%c-%c%c-%c%c</td>", 
          buffer[0], buffer[1], buffer[2], buffer[3], /* Year */ 
          buffer[4], buffer[5],  /* Month */
	  buffer[6], buffer[7]  /* Day */
  );
}

int
output_prerecord ()
{
  printf("<tr>");
  return 0;
}

int
output_postrecord ()
{
  printf ("</tr>\n");
  return 0;
}

int
output_fieldsep ()
{
  return 0;
}

int output_fielddef(struct DBF_FIELD *field)
{
   if (field->datatype != 'M')
     printf ("<td bgcolor=black><font color=white>%s</font></td>", field->name);
   return 0;
}

int output_fielddefsep()
{
   return 0;
}


int output_dbdef(char *dbname)
{
   printf("<html><head><title>%s</title><meta http-equiv=\"Content-type\" content=\"text/html; charset=iso-8859-2\"></head><body bgcolor=white>\n", dbname);
   printf("<center><h1>DBF: %s</h1></center>\n<table border=1 cellpadding=0 cellspacing=0><tr>", dbname);

   return 0;
}

int output_dbenddef()
{
   printf("</tr>\n\n");
   return 0;
}

int
output_postdb ()
{
  printf("</table></body></html>");
  return 0;
}


